Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
XMMS - *** glibc detected *** double free or corruption
11/02/2008, 19:48
Resposta: #16
 
Muito obrigado pela ajuda e interesse em resolver meu problema dmatrix.
Mas não se preocupe muito com isso, ok? Não faz mal se não conseguirmos resolver.

Um abraço.

[Imagem: debian1userbarmb6.gif]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
17/02/2008, 15:22
Resposta: #17
 
queria saber onde utilizava esse lastfm com sucesso....numa versão anterior do debian? ou outra distro? porque me parece que esse problema ocorre quando o plugin tenta fazer o login de conectar com o servidor, então pode ser um problema de porta e endereço. O que encontrei foi pessoas utilizando o lastfm com lastfm proxy com sucesso.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
17/02/2008, 22:38
Resposta: #18
 
dmatrix,

Estou usando atualmente o Debian Lenny e é a primeira vez que utilizo o plugin xmms-scrobbler no Linux. Nunca o tinha usado em nenhuma outra distribuição.
O máximo que fiz foi baixar o software oficial do Last.fm no site www.lastfm.com.br e testá-lo no Ubuntu há alguns meses. Mas aqui no Debian sequer consegui instalar esse software.
Testei o xmms-scrobbler no Debian Etch e ele funciona perfeitamente com arquivos MP3; o problema só ocorre com cds de músicas. Aqui no Lenny ainda não tentei instalar o xmms-scrobbler, mas farei isso em breve.

Você citou sobre login. Será que meu problema poderia ser causado por um firewall?

[]s.

[Imagem: debian1userbarmb6.gif]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
17/02/2008, 23:27
Resposta: #19
 
Floyd Escreveu:dmatrix,

Estou usando atualmente o Debian Lenny e é a primeira vez que utilizo o plugin xmms-scrobbler no Linux. Nunca o tinha usado em nenhuma outra distribuição.
O máximo que fiz foi baixar o software oficial do Last.fm no site www.lastfm.com.br e testá-lo no Ubuntu há alguns meses. Mas aqui no Debian sequer consegui instalar esse software.
Testei o xmms-scrobbler no Debian Etch e ele funciona perfeitamente com arquivos MP3; o problema só ocorre com cds de músicas. Aqui no Lenny ainda não tentei instalar o xmms-scrobbler, mas farei isso em breve.

Você citou sobre login. Será que meu problema poderia ser causado por um firewall?

[]s.

pode ser firewall sim, mas não tenho certeza da porta utilizada por esse serviço, me parece ser a 8118 pelo menos é essa que é utilizada no lastfm do python, eu testei aqui simulando um usuário e senha fictícios e ocorreu o mesmo problema citado... ele fecha com uns 2 minutos de musica então está relacionado ao login, o que realmente esse plugin faz? ele pega informações sobre a musica na net e preenche a tagID? tipo cddb? como cd de audio não possue tag preenchida então ele pode estar enviando campos nulos e causando isso, tente habilitar no plugins CD Audio Player o CDDB...se for um album conhecido ele irá preencher as tags evitando o problema citado.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
18/02/2008, 15:14
Resposta: #20
 
dmatrix Escreveu:[...] tente habilitar no plugins CD Audio Player o CDDB...se for um album conhecido ele irá preencher as tags evitando o problema citado.

Eu já havia habilitado o CDDB antes de instalar o plugin xmms-scrobbler justamente para as informações das músicas serem enviadas para o Last.fm.
Desculpe, mas esqueci de citar essa informação anteriormente.
Será que esse plugin xmms-scrobbler funciona apenas com arquivos que possuam tag ID3 já gravadas? No caso de cds de música essa tag não existe, tanto que as informações são buscadas na internet. Posso estar falando besteira, mas é uma suposição.

Farei o seguinte hoje à noite: instalarei o xmms-scrobbler aqui no Lenny e testarei novamente sem o firewall ligado.
Qualquer que seja o resultado eu volto a postar.

[]s.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
18/02/2008, 21:25
Resposta: #21
 
Ok, xmms-scrobbler devidamente instalado no Debian Lenny e funcionando perfeitamente com mp3.
Fiz o teste que mencionei mais cedo: desativei o firewall e coloquei um cd de música pra tocar.
O mesmo erro surgiu.

Alguma outra idéia?

[]s.
.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
19/02/2008, 14:23
Resposta: #22
 
tem como colocar um cd reconhecido pelo CDDB, deixar ativado essa função no xmms e desabilitado o scrobbler, até que se preencha as informações das trilhas no visor do xmms, depois pare, ative o scrobbler e teste se toca normal.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/02/2008, 17:50
Resposta: #23
 
Ok, vamos lá.
Realizei o teste que você solicitou. Eis os passos:

1- Iniciei o xmms;
2- Acessei o menu Preferências e desabilitei o plugin xmms-scrobbler;
3- Coloquei o cd "Wish You Were Here" do Pink Floyd e as trilhas foram reconhecidas normalmente pelo CDDB;
4- Reativei o plugin xmms-scrobbler;
5- Pus o cd pra tocar.

Mesmo erro. O programa fechou após algum tempo.
Triste

[]s.

[Imagem: debian1userbarmb6.gif]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/02/2008, 17:19
Resposta: #24
 
Floyd Escreveu:Ok, vamos lá.
Realizei o teste que você solicitou. Eis os passos:

1- Iniciei o xmms;
2- Acessei o menu Preferências e desabilitei o plugin xmms-scrobbler;
3- Coloquei o cd "Wish You Were Here" do Pink Floyd e as trilhas foram reconhecidas normalmente pelo CDDB;
4- Reativei o plugin xmms-scrobbler;
5- Pus o cd pra tocar.

Mesmo erro. O programa fechou após algum tempo.
Triste

[]s.

muito bem, verifique se depois de o CDDB preencher os ID3 se existe algum campo alí ainda sem preencher

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/02/2008, 19:37
Resposta: #25
 
dmatrix Escreveu:muito bem, verifique se depois de o CDDB preencher os ID3 se existe algum campo alí ainda sem preencher

Desculpe-me, dmatrix, mas não entendi bem.
Onde verificarei isso?

[]s.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
24/02/2008, 12:24
Resposta: #26
 
Floyd Escreveu:
dmatrix Escreveu:muito bem, verifique se depois de o CDDB preencher os ID3 se existe algum campo alí ainda sem preencher

Desculpe-me, dmatrix, mas não entendi bem.
Onde verificarei isso?

[]s.

não sei se funciona com cda, mas com mp3 é clicando com o botão direito sobre a musica no playlist e entrando na opção "ver propriedade do arquivo" veja aí se abre o ID3 para edição.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
24/02/2008, 20:18
Resposta: #27
 
Ok, agora entendi. Sorrisão
Abaixo, a screenshot das propriedades de um arquivo CDA (com CDDB ativado):

[Imagem: foto-301.jpg]

... e a screenshot das propriedades de um arquivo MP3:

[Imagem: foto-302.jpg]

[]s.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
25/03/2008, 12:33
Resposta: #28
 
Olá dmatrix!
Acho que tenho novidades. O problema aqui ainda continua, mas há algumas novas mensagens de erro que talvez possam ajudar.
Baixei a versão beta 1 do Lenny e instalei-a ontem. Baixei também a última versão do XMMS (1.2.11) e o plugin xmms-scrobbler 0.4.0.
Agora quando ocorre o problema recebo estas mensagens de erro no console:

*** glibc detected *** xmms: double free or corruption (fasttop): 0x081eeae8 ***
======= Backtrace: =========
/lib/i686/cmov/libc.so.6[0xb7b77915]
/lib/i686/cmov/libc.so.6(cfree+0x90)[0xb7b7b380]
/usr/lib/libglib-1.2.so.0(g_free+0x21)[0xb7ddf121]
/usr/local/lib/xmms/General/libxmms_scrobbler.so[0xb6b68888]
/lib/i686/cmov/libpthread.so.0[0xb7d8a4fb]
/lib/i686/cmov/libc.so.6(clone+0x5e)[0xb7be293e]
======= Memory map: ========
08048000-08138000 r-xp 00000000 03:08 1880117 /usr/local/bin/xmms
08138000-08140000 rw-p 000ef000 03:08 1880117 /usr/local/bin/xmms
08140000-082e7000 rw-p 08140000 00:00 0 [heap]
b3100000-b3121000 rw-p b3100000 00:00 0
b3121000-b3200000 ---p b3121000 00:00 0
b3293000-b3294000 ---p b3293000 00:00 0
b3294000-b3a94000 rwxp b3294000 00:00 0
b3a94000-b3a95000 ---p b3a94000 00:00 0
b3a95000-b4295000 rwxp b3a95000 00:00 0
b4295000-b4338000 rw-p b4295000 00:00 0
b4338000-b4339000 ---p b4338000 00:00 0
b4339000-b4b39000 rwxp b4339000 00:00 0
b4b39000-b4b3d000 r-xp 00000000 03:08 869284 /lib/i686/cmov/libnss_dns-2.7.so
b4b3d000-b4b3f000 rw-p 00003000 03:08 869284 /lib/i686/cmov/libnss_dns-2.7.so
b4b4c000-b4b5a000 r--p 00000000 03:08 99476 /usr/local/share/locale/pt/LC_MESSAGES/xmms.mo
b4b5a000-b4b5b000 ---p b4b5a000 00:00 0
b4b5b000-b535b000 rwxp b4b5b000 00:00 0
b535b000-b535c000 ---p b535b000 00:00 0
b535c000-b5b5c000 rwxp b535c000 00:00 0
b5b5c000-b5b64000 r-xp 00000000 03:08 99357 /usr/local/lib/xmms/Visualization/libbscope.so
b5b64000-b5b65000 rw-p 00007000 03:08 99357 /usr/local/lib/xmms/Visualization/libbscope.so
b5b65000-b5bd1000 rw-p b5b65000 00:00 0
b5bd1000-b66a6000 r-xp 00000000 03:08 1106203 /usr/lib/libGLcore.so.169.09
b66a6000-b66e2000 rwxp 00ad4000 03:08 1106203 /usr/lib/libGLcore.so.169.09
b66e2000-b66e7000 rwxp b66e2000 00:00 0
b66e7000-b676f000 r-xp 00000000 03:08 1871858 /usr/lib/libGL.so.169.09
b676f000-b678a000 rwxp 00087000 03:08 1871858 /usr/lib/libGL.so.169.09
b678a000-b678b000 rwxp b678a000 00:00 0
b6794000-b6796000 r--p 00000000 03:08 942159 /usr/share/locale/pt_BR/LC_MESSAGES/gtk+.mo
b6796000-b6798000 rwxp 00000000 00:0c 1927 /dev/zero
b6798000-b679d000 r-xp 00000000 03:08 99361 /usr/local/lib/xmms/Visualization/libogl_spectrum.so
b679d000-b679e000 rw-p 00004000 03:08 99361 /usr/local/lib/xmms/Visualization/libogl_spectrum.so
b679e000-b67a5000 r-xp 00000000 03:08 99359 /usr/local/lib/xmms/Visualization/libsanalyzer.so
b67a5000-b67a6000 rw-p 00007000 03:08 99359 /usr/local/lib/xmms/Visualization/libsanalyzer.so
b67a6000-b67ac000 r-xp 00000000 03:08 99352 /usr/local/lib/xmms/General/libjoy.so
b67ac000-b67ad000 rw-p 00005000 03:08 99352 /usr/local/lib/xmms/General/libjoy.so
b67ad000-b6813000 r-xp 00000000 03:08 1870375 /usr/lib/libgcrypt.so.11.4.3
b6813000-b6815000 rw-p 00065000 03:08 1870375 /usr/lib/libgcrypt.so.11.4.3
b6815000-b6818000 r-xp 00000000 03:08 1870381 /usr/lib/libgpg-error.so.0.3.0
b6818000-b6819000 rw-p 00002000 03:08 1870381 /usr/lib/libgpg-error.so.0.3.0
b6819000-b6827000 r-xp 00000000 03:08 1870390 /usr/lib/libtasn1.so.3.0.14
b6827000-b6828000 rw-p 0000e000 03:08 1870390 /usr/lib/libtasn1.so.3.0.14
b6828000-b689b000 r-xp 00000000 03:08 1870371 /usr/lib/libgnutls.so.26.1.3
b689b000-b68a1000 rw-p 00072000 03:08 1870371 /usr/lib/libgnutls.so.26.1.3
b68a1000-b68b7000 r-xp 00000000 03:08 1870392 /usr/lib/libsasl2.so.2.0.22
b68b7000-b68b8000 rw-p 00015000 03:08 1870392 /usr/lib/libsasl2.so.2.0.22
b68b8000-b68c4000 r-xp 00000000 03:08 1106406 /usr/lib/liblber-2.4.so.2.0.3
b68c4000-b68c5000 rw-p 0000c000 03:08 1106406 /usr/lib/liblber-2.4.so.2.0.3
b68c5000-b68d4000 r-xp 00000000 03:08 869291 /lib/i686/cmov/libresolv-2.7.so
b68d4000-b68d6000 rw-p 0000f000 03:08 869291 /lib/i686/cmov/libresolv-2.7.so
b68d6000-b68d8000 rw-p b68d6000 00:00 0
b68
Erro de segmentação

Você provavelmente acaba de encontrar um bug no XMMS. Por favor, visite http://bugs.xmms.org e notifique-nos fazendo um relatório de bug.


Infelizmente não consegui acessar o site para fazer o tal relatório de bug.

[]s.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
25/03/2008, 14:31
Resposta: #29
 
é mas não mudou o erro continua o mesmo, é algum erro de programação no plugin que na hora de autenticar e enviar as informações quando CDA derruba a execução do xmms.
acredito que o erro ou bug esteja no plugin e não no xmms.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS